// components/listItem/listItem.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        item: {
            type: Object,
        },
        // index => 首页 detatil => 详情  homepage => 个人主页
        pageStatus: {
            type: String,
            default: 'index',
        },
    },

    /**
     * 组件的初始数据
     */
    data: {
        // 是否收藏
        isCollect:false,
    },

    /**
     * 组件的方法列表
     */
    methods: {
        // 进入详情
        goDetails(e) {
            let dataset = e.currentTarget.dataset;
            this.triggerEvent('getItem', dataset.item);
        },
        // 进入个人主页
        goHomePage(e){
            let customerid = e.currentTarget.dataset.customerid;
            wx.navigateTo({
                url: '/pages/index/components/homepage/homepage',
                success: function (res) {
                    // 通过eventChannel向被打开页面传送数据
                    res.eventChannel.emit('customerid', { customerid })
                }
            })
        },
    }
})
